OGRE: Ogre::ResourceGroupManager::ResourceGroup Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ResourceGroupManager::ResourceGroup Struct Reference

Resource group entry. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Types

typedef std::map< Real, LoadUnloadResourceList * > | LoadResourceOrderMap
| Created resources which are ready to be loaded / unloaded.
enum | Status { UNINITIALSED = 0, INITIALISING = 1, INITIALISED = 2, LOADING = 3, LOADED = 4 }

## Public Attributes

OGRE_AUTO_MUTEX String | name
| Status-specific mutex, separate from content-changing mutex Group name.
bool | initialised
| Group status.
LocationList | locationList
| List of possible locations to search.
ResourceLocationIndex | resourceIndexCaseSensitive
| Index of resource names to locations, built for speedy access (case sensitive archives).
ResourceLocationIndex | resourceIndexCaseInsensitive
| Index of resource names to locations, built for speedy access (case insensitive archives).
ResourceDeclarationList | resourceDeclarations
| Pre-declared resources, ready to be created.
LoadResourceOrderMap | loadResourceOrderMap
String | worldGeometry
| Linked world geometry, as passed to setWorldGeometry.
SceneManager * | worldGeometrySceneManager
| Scene manager to use with linked world geometry.

## Detailed Description

Resource group entry.

Definition at line 224 of file OgreResourceGroupManager.h.

## Member Typedef Documentation

typedef std::map<Real, LoadUnloadResourceList*> Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap

| Created resources which are ready to be loaded / unloaded. Definition at line 253 of file OgreResourceGroupManager.h.

## Member Enumeration Documentation

enum Ogre::ResourceGroupManager::ResourceGroup::Status

Enumeration values:

  UNINITIALSED |
  INITIALISING |
  INITIALISED |
  LOADING |
  LOADED |

Definition at line 226 of file OgreResourceGroupManager.h.

## Member Data Documentation

bool Ogre::ResourceGroupManager::ResourceGroup::initialised

| Group status. Definition at line 241 of file OgreResourceGroupManager.h.

LoadResourceOrderMap Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap

| Definition at line 254 of file OgreResourceGroupManager.h.

LocationList Ogre::ResourceGroupManager::ResourceGroup::locationList

| List of possible locations to search. Definition at line 243 of file OgreResourceGroupManager.h.

OGRE_AUTO_MUTEX String Ogre::ResourceGroupManager::ResourceGroup::name

| Status-specific mutex, separate from content-changing mutex Group name. Definition at line 239 of file OgreResourceGroupManager.h.

ResourceDeclarationList Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations

| Pre-declared resources, ready to be created. Definition at line 249 of file OgreResourceGroupManager.h.

ResourceLocationIndex Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive

| Index of resource names to locations, built for speedy access (case insensitive archives). Definition at line 247 of file OgreResourceGroupManager.h.

ResourceLocationIndex Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive

| Index of resource names to locations, built for speedy access (case sensitive archives). Definition at line 245 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceGroup::worldGeometry

| Linked world geometry, as passed to setWorldGeometry. Definition at line 256 of file OgreResourceGroupManager.h.

SceneManager* Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager

| Scene manager to use with linked world geometry. Definition at line 258 of file OgreResourceGroupManager.h.

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:16 2008